---
  # "Install and configure Apache as a reverse proxy."
  
  - name: "Add each package needed for the reverse proxy."
    apt:
       name: "{{ item }}"
       state: present
    with_items:
      - apache2
  
  - name: "Enable necessary modules."
    apache2_module:
       name: "{{ item }}"
       state: present
    with_items:
       - proxy
       - proxy_http
       - proxy_ajp
       - rewrite
       - deflate
       - headers
       - proxy_balancer
       - proxy_connect
       - proxy_html
       - proxy_wstunnel
    notify: "restart apache"
  
  - name: "Enable the default SSL site."
    shell: a2ensite default-ssl.conf
    notify: "restart apache"
    
  # generate client mapping file using ClientsToPortsGenerator
  # place client mapping file
  # configure ssl site conf to setup reverse proxy
  # change FWD directory to set forwardedHost
  